package de.wartala.apache.commons.jxpath;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.Serializable;
import java.net.MalformedURLException;
import java.net.URL;

import org.apache.commons.jxpath.Container;
import org.apache.commons.jxpath.xml.DocumentContainer;

public class AdressenBean implements Serializable {

	private Container container = null;
	private String adressFilename = null;
	
	public AdressenBean() {
	}
	
	public void setFilename(String filename) {
		this.adressFilename = filename;
	}
	
    public Container getContainer() throws MalformedURLException, FileNotFoundException {
        if (container == null) {
            URL url = new File(this.adressFilename).toURL();
            container = new DocumentContainer(url, DocumentContainer.MODEL_DOM);
        }
        return container;
    }

}